local ns = _G.WoWTranslate_UK_NS

local manager = { _translators = {} }
ns.TranslationsManager = manager

function manager:Add(translator)
    table.insert(self._translators, translator)
end

function manager:Init()
    for _, translator in ipairs(self._translators) do
        if translator.IsEnabled and translator:IsEnabled() then
            pcall(translator.Init, translator)
        end
    end
end